Bug 245001 - devel/stfl: Fix display corruption bug
Summary: devel/stfl: Fix display corruption bug
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tilman Keskinoz
URL: https://github.com/newsboat/newsboat/...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-23 04:22 UTC by Tobias Kortkamp
Modified: 2020-03-29 11:41 UTC (History)
1 user (show)

See Also:
arved: maintainer-feedback+


Attachments
stfl.diff (1.63 KB, patch)
2020-03-23 04:22 UTC, Tobias Kortkamp
tobik: maintainer-approval? (arved)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2020-03-23 04:22:43 UTC
Created attachment 212638 [details]
stfl.diff

Newsboat is affected by this.  Please see the URL for details.

Builds fine in Poudriere on 11.3 amd64, 12.1 i386, 13.0 amd64.
Comment 1 Tilman Keskinoz freebsd_committer 2020-03-28 20:33:57 UTC
HI, I am currently  a bit busy. Feel free to commit it with maintainer approval
Comment 2 Tobias Kortkamp freebsd_committer 2020-03-29 11:34:47 UTC
Committed. Thanks!
Comment 3 commit-hook freebsd_committer 2020-03-29 11:41:48 UTC
A commit references this bug:

Author: tobik
Date: Sun Mar 29 11:34:11 UTC 2020
New revision: 529797
URL: https://svnweb.freebsd.org/changeset/ports/529797

Log:
  devel/stfl: Fix display corruption bug

  This is needed by newsboat to fix
  https://github.com/newsboat/newsboat/issues/506

  While here also strip the library.

  PR:		245001
  Approved by:	arved (maintainer)

Changes:
  head/devel/stfl/Makefile
  head/devel/stfl/files/
  head/devel/stfl/files/patch-base.c